MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Namespaces | Macros
MyGUI_LogManager.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include "MyGUI_LogStream.h"`
`#include "MyGUI_LogSource.h"`
`#include "MyGUI_Diagnostic.h"`
`#include <vector>`

Go to the source code of this file.

## Data Structures
class | MyGUI::LogManager

## Namespaces
| MyGUI

## Macros
#define | MYGUI_LOGGING(section, level, text) MyGUI::LogManager::getInstance().log(section, MyGUI::LogLevel::level, MyGUI::LogStream() << text << MyGUI::LogStream::End(), __FILE__, __LINE__)

## Macro Definition Documentation

#define MYGUI_LOGGING | ( |  | section,
|  |  | level,
|  |  | text
| ) |  | MyGUI::LogManager::getInstance().log(section, MyGUI::LogLevel::level, MyGUI::LogStream() << text << MyGUI::LogStream::End(), __FILE__, __LINE__)

Definition at line 19 of file MyGUI_LogManager.h.